#!/bin/bash

# Указываем пороговое значение использования (например, 50%)
LIMIT=50

# Указываем почтовый адрес для уведомлений
EMAIL="walleri1@yandex.ru"

# Получаем текущее использование дискового пространства
USAGE=$(df -h / | awk 'NR==2 {gsub("%",""); print $5}')

# Проверяем, превышает ли использование пороговое значение
if [ "$USAGE" -gt "$LIMIT" ]; then
    echo "Дисковое пространство переполнено: ${USAGE}% использовано." | mail -s "Предупреждение: Использование дискового пространства" "$EMAIL"
fi
